Subject: bug#18749: 24.3.94; CC Mode 5.32.5 (C/l); cc-mode state cache failure leading to bad indentation

From: Alan Mackenzie <[email-masked]>
Date: Sat, 18 Oct 2014 08:48:28 +0000

Hi, Stefan.

On Fri, Oct 17, 2014 at 03:35:22PM -0400, Stefan Monnier wrote:
> > 1000 bytes before 46793 is 45793.  This spot is in the middle of the "##"
> > operator on L1346.  Thus the buffer is getting narrowed such that the
> > first character, ostensibly at BOL (to the Emacs regexp matcher), is "#".

> For these kinds of reasons (along with various related ones), I have
> learned to stay away from narrowing.

That would be all very well if all movement and scanning primitives
(like `scan-lists' and the things that use it) actually had limit
parameters.  They don't.  What alternative, then, is there to narrowing?

>         Stefan

-- 
Alan Mackenzie (Nuremberg, Germany).